SYNCE_GET_CONNECTION_FILENAME(3)

NAME
synce_get_connection_filename - get synce connection filename

SYNOPSIS
#include <synce.h>

bool synce_get_connection_filename(char ** filename);

bool synce_set_connection_filename(const char * filename);

bool synce_set_default_connection_filename();

DESCRIPTION
These functions are used with the vdccm(1) and dccm(1) connection daemons only. They are of no use when using odccm(1).

synce_get_connection_filename() provides a string describing the location of the synce device connection file, written by (v)dccm. The default file is ~/.synce/active_connection.

synce_set_connection_filename() sets an alternative connection file name to use.

synce_set_default_connection_filename() resets the connection filename to its default value.

RETURN VALUE
Returns true if successful. synce_get_connection_filename() fails and returns false if filename is an invalid pointer, or for any of the reasons synce_get_directory() would fail. synce_set_connection_filename() returns false if filename contains '..' or is too long.

SEE ALSO
synce(7) synce_get_directory(3)